.root{
    width: 100vw;
    height: 100vh;
    display: flex;
    /* align-items: center; */
    /* justify-content: center; */
}
.types{
    margin-top: 5vw;
    margin-left: 5vh;
    display: flex;
    max-width: 500px;
    max-height: 500px;
}
.types .typeItem{
    margin: 10px 10px;
    width: 150px;
    height: 50px;
    box-shadow: 0px 0px 17px rgba(0,0,0,0.2);
    border-radius: 10px; 
}
.types .typeItem input{
    display: none;
    position: absolute;
    opacity: 0;
}
.types .typeItem div{
    width: 150px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 3px solid white;
    box-sizing: border-box;
    border-radius: 10px;
    margin: 0 0;
    transition: .3s;
}
.types .typeItem label{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;    
    box-sizing: border-box;         
    padding-top: 40px;
    height: 100px;
    font-family: arial;
    width: inherit;
    text-align: center;
    cursor: pointer;
}
.types .typeItem label::after{
    content: '';
    width: 7px;
    height: 7px;
    background: transparent;
    border-radius: 50%;
    position: absolute;
    top: 10px;
    right: 10px;
    border: 3px solid rgba(0,0,0,0.3);
    opacity: 0;
}

.types .typeItem > input[type="radio"]:checked ~ div{
    border-color: #2b445a;
}
.types .typeItem > input[type="radio"]:checked ~ div label::after{
    background: #2b445a;
}

.types .typeItem > input[type="radio"]:hover ~ div{
    border-color: #2b445a;
}
.types .typeItem > input[type="radio"]:hover ~ div label::after{
    background: #2b445a;
}
.types .typeItem > input[type="radio"]:hover ~ div label{
    color: #2b445a;
}

.types .typeItem > input[type="radio"]:checked ~ div label{
    color: #2b445a;
}

.overlay {
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3);
    position: fixed;
}

.transit{
    position: fixed;
    top: 50%;
    left: 50%;
    font-size: 50px;
    color: white;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
}

.tab-bar {
    margin-top: -20px;
    margin-left: 31%;
    display: -webkit-box;
    display: -ms-flexbox;
    list-style-type: none;
    -webkit-padding-start: 0;
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
}

.maths {
    width: 150px;
    display: inline;
    padding: 20px 0;
    background: white;
    color: #607D8B;
    overflow: hidden;
    text-align: center;
    -webkit-box-flex: 1;
        -ms-flex-positive: 1;
            flex-grow: 1;
    cursor: pointer;
    position: absolute;
    
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}
  
.language {
    width: 150px;
    margin-left: 150px;
    display: inline;
    padding: 20px 0;
    background: white;
    color: #607D8B;
    overflow: hidden;
    text-align: center;
    -webkit-box-flex: 1;
        -ms-flex-positive: 1;
            flex-grow: 1;
    cursor: pointer;
    position: absolute;
    
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

.dark:hover {
    background: #2b445a;
    color: white;
}
.darkchecked
{
    background: #2b445a;
    color: white;
}